## python-molotov 1.4

=== Makefile ===
HERE = $(shell pwd)
BIN = $(HERE)/bin
PYTHON = $(BIN)/python
INSTALL = $(BIN)/pip install --no-deps
BUILD_DIRS = bin build include lib lib64 man share
VIRTUALENV = virtualenv

.PHONY: all test build clean docs

all: build

$(PYTHON):
	$(VIRTUALENV) $(VTENV_OPTS) .

build: $(PYTHON)
	$(PYTHON) setup.py develop
	$(BIN)/pip install tox

clean:
	rm -rf $(BUILD_DIRS)

test: build
	$(BIN)/tox

docs:  build
	$(BIN)/tox -e docs

=== requirements.txt ===
aiohttp==2.2.5
aiomeasures==0.5.14

=== molotov/quickstart/Makefile ===
HERE = $(shell pwd)
PYTHON = python3
VTENV_OPTS = --python $(PYTHON)
TESTNAME = smoke
BIN = $(HERE)/venv/bin
VENV_PIP = $(BIN)/pip3
VENV_PYTHON = $(BIN)/python
INSTALL = $(VENV_PIP) install

.PHONY: build install test


$(VENV_PYTHON):
	virtualenv $(VTENV_OPTS) venv

build: $(VENV_PYTHON)
	$(INSTALL) --upgrade git+https://github.com/loads/molotov.git

test: build
	$(BIN)/molotov --config molotov.json $(TESTNAME)

=== debian/changelog ===
python-molotov (1.4-1) unstable; urgency=medium

  * Initial release. (Closes: #889296)

 -- Ondřej Nový <onovy@debian.org>  Sat, 03 Feb 2018 17:48:30 +0100

=== debian/control ===
Source: python-molotov
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-aiohttp,
               python3-aiomeasures,
               python3-pytest,
               python3-uvloop,
Standards-Version: 4.1.3
Homepage: https://molotov.readthedocs.io/en/stable/
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-molotov.git/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-molotov.git
Testsuite: autopkgtest-pkg-python

Package: python3-molotov
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: tool to write load tests in Python
 Create a load test in Python using functions decorated with the scenario
 decorator – those functions needs to be coroutines. Based on asyncio, built with
 aiohttp.
 .
 This package contains the Python 3.x module and CLI.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = molotov
export PYBUILD_TEST_ARGS = {interpreter} -m pytest

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYTHONPATH=. dh_auto_test

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/molotov/molotov-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-molotov 1.6

=== requirements.txt ===
aiohttp==3.1.1
aiomeasures==0.5.14

=== debian/changelog ===
python-molotov (1.6-4) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Disable test FTBFS randomly
    - Patch create by Santiago Vila (Closes: #927810)

 -- Ondřej Nový <onovy@debian.org>  Fri, 03 May 2019 11:49:04 +0200

python-molotov (1.6-3) unstable; urgency=medium

  * Fix FTBFS (Closes: #924805)
    - d/p/0002-Disable-internet-tests.patch:
      Disable tests if they require Internet access
    - d/p/0003-Disable-session-tests.patch:
      Disable session tests, they doesn't work with newer aiohttp

 -- Ondřej Nový <onovy@debian.org>  Tue, 19 Mar 2019 17:35:11 +0100

python-molotov (1.6-2) unstable; urgency=medium

  * d/p/0001-Print-reason-why-is-not-possible-to-start-the-coserv.patch:
    Add to debug build failures inside buildd

 -- Ondřej Nový <onovy@debian.org>  Thu, 16 Aug 2018 13:59:34 +0200

python-molotov (1.6-1) unstable; urgency=medium

  * New upstream release
  * d/rules: Skip tests which requires internet access with NO_INTERNET env
  * Drop d/p/0001-Disable-tests-which-requires-internet-access.patch:
    Not needed anymore
  * d/control:
    - Require at least Python 3.5
    - Set Vcs-* to salsa.debian.org
    - Wrap long description
    - Bump required version of python-aiohttp
    - Standards-Version is 4.2.0 now (no changes needed)
  * Convert git repository from git-dpm to gbp layout
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Thu, 16 Aug 2018 11:58:18 +0200

=== debian/control ===
Source: python-molotov
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-aiohttp (>= 3.1.1),
               python3-aiomeasures,
               python3-pytest,
               python3-uvloop,
Standards-Version: 4.2.0
Homepage: https://molotov.readthedocs.io/en/stable/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-molotov
Vcs-Git: https://salsa.debian.org/python-team/modules/python-molotov.git
Testsuite: autopkgtest-pkg-python
X-Python3-Version: >= 3.5

Package: python3-molotov
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: tool to write load tests in Python
 Create a load test in Python using functions decorated with the scenario
 decorator – those functions needs to be coroutines. Based on asyncio, built
 with aiohttp.
 .
 This package contains the Python 3.x module and CLI.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 #export DH_VERBOSE = 1
 export PYBUILD_NAME = molotov
 export PYBUILD_TEST_ARGS = {interpreter} -m pytest
+export NO_INTERNET=1
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## python-molotov 2.1

=== requirements.txt ===
aiohttp==3.5.4
aiodogstatsd==0.6.0
aiomeasures==0.5.14
multiprocessing_on_dill==3.5.0a4

=== molotov/quickstart/Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 HERE = $(shell pwd)
 PYTHON = python3
-VTENV_OPTS = --python $(PYTHON)
 TESTNAME = smoke
 BIN = $(HERE)/venv/bin
 VENV_PIP = $(BIN)/pip3
@@ -11,7 +10,7 @@
 
 
 $(VENV_PYTHON):
-	virtualenv $(VTENV_OPTS) venv
+	$(PYTHON) -m venv venv
 
 build: $(VENV_PYTHON)
 	$(INSTALL) --upgrade git+https://github.com/loads/molotov.git

=== debian/changelog ===
python-molotov (2.1-6) unstable; urgency=medium

  * Team upload.
  * Add missing depend on python3-pkg-resources (Closes: #1040578)

 -- Timo Röhling <roehling@debian.org>  Wed, 12 Jul 2023 20:43:44 +0200

python-molotov (2.1-5) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix tests with python3.11 (Closes: #1024781)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 25 Nov 2022 18:48:35 +0530

python-molotov (2.1-4) unstable; urgency=medium

  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-aiohttp.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 10:34:33 +0100

python-molotov (2.1-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Stefano Rivera ]
  * Patch: Python 3.10 support (Closes: #1001423).
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Mar 2022 12:40:18 -0400

python-molotov (2.1-2) unstable; urgency=medium

  * Add an upstream patch to unbreak tests (Closes: #982993).

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 26 Feb 2021 09:08:17 +0100

python-molotov (2.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Emmanuel Arias ]
  * New upstream version 2.1 (Closes: #973033).
  * d/patches: Update patches.
    - Remove already patch applied for usptream.
  * d/salsa-ci.yml: enable salsa-ci.
  * d/watch: bump version to 4 (from 3).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 14 Dec 2020 16:13:35 -0300

python-molotov (1.6-7) unstable; urgency=medium

  * Add python3-uvloop as Suggests.
  * Run tests as autopkgtests.

 -- Ondřej Nový <onovy@debian.org>  Mon, 27 Apr 2020 10:41:07 +0200

python-molotov (1.6-6) unstable; urgency=medium

  * Disable tests for now as they are crashing in buildd.

 -- Ondřej Nový <onovy@debian.org>  Mon, 27 Apr 2020 08:35:22 +0200

python-molotov (1.6-5) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat.
  * Rename d/tests/control.autodep8 to d/tests/control.
  * d/control: Remove ancient X-Python3-Version field.
  * Bump Standards-Version to 4.5.0.
  * Set Rules-Requires-Root: no.
  * Bump debhelper compat level to 13.

 -- Ondřej Nový <onovy@debian.org>  Mon, 27 Apr 2020 08:05:46 +0200

=== debian/control ===
Source: python-molotov
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-aiohttp,
               python3-aiomeasures,
	       python3-pkg-resources,
               python3-pytest,
               python3-uvloop,
               python3-aiodogstatsd,
Standards-Version: 4.6.0
Homepage: https://molotov.readthedocs.io/en/stable/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-molotov
Vcs-Git: https://salsa.debian.org/python-team/packages/python-molotov.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-molotov
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
	 python3-pkg-resources,
Suggests: python3-uvloop
Description: tool to write load tests in Python
 Create a load test in Python using functions decorated with the scenario
 decorator – those functions needs to be coroutines. Based on asyncio, built
 with aiohttp.
 .
 This package contains the Python 3.x module and CLI.

=== debian/tests/control ===
Test-Command: molotov --help
Depends: @

Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do echo "Testing with $py:" ; PYTHONPATH=. NO_INTERNET=1 $py -m pytest molotov/tests ; done
Depends: python3-all, python3-molotov, python3-pytest, python3-uvloop
Restrictions: allow-stderr, superficial
Features: test-name=autodep8-python3

## python-molotov 2.7

=== Makefile ===
--- 
+++ 
@@ -24,3 +24,11 @@
 
 docs:  build
 	$(BIN)/tox -e docs
+
+$(BIN)/ruff:
+	$(BIN)/pip install ruff
+
+ruff: $(BIN)/ruff
+	$(BIN)/ruff check setup.py molotov/
+	$(BIN)/ruff format setup.py molotov/*.py
+

=== requirements.txt ===
aiohttp==3.9.0b1
aiodogstatsd==0.16.0
multiprocess==0.70.15
prompt_toolkit==3.0.39
humanize==4.8.0
grpcio==1.59.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Molotov
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== molotov/tests/_grpc/Makefile ===
PYTHON ?= python

.PHONY: proto


install:
	$(PYTHON) -m pip install grpcio-tools

proto:
	$(PYTHON) -m grpc_tools.protoc -I. --python_out=. --grpc_python_out=. helloworld.proto

run:
	$(PYTHON) service.py

=== debian/changelog ===
python-molotov (2.7-2) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-pkg-resources (Closes: #1083665)

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Jan 2025 14:28:20 +0100

python-molotov (2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1056484
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * PiPY is lagging behind thus pointing watch file to Github
  * Skip two failing tests which is not reproducible upstream

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jan 2024 17:37:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: python-molotov
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Ondřej Nový <onovy@debian.org>,
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-aiohttp,
                python3-aiomeasures,
-	       python3-pkg-resources,
                python3-pytest,
                python3-uvloop,
                python3-aiodogstatsd,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://molotov.readthedocs.io/en/stable/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-molotov
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-molotov.git
@@ -24,7 +22,6 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-	 python3-pkg-resources,
 Suggests: python3-uvloop
 Description: tool to write load tests in Python
  Create a load test in Python using functions decorated with the scenario

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=molotov
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/tarekziade/molotov/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
